"""add 'Await QA' capability state

Revision ID: 25db7ee329f4
Revises: c7f4ec21b80f
Create Date: 2021-10-26 16:29:28.647656

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "25db7ee329f4"
down_revision = "c7f4ec21b80f"
branch_labels = None
depends_on = None


def upgrade():
    """
    Add the Await QA state for the standard calibration.

    :return:
    """
    op.execute(
        """
        INSERT INTO capability_states (capability_name, state)
        VALUES ('std_calibration','Awaiting QA')
        """
    )


def downgrade():
    """
    Remove the Await QA state from the standard calibration.

    :return:
    """
    op.execute(
        """
        DELETE FROM capability_states
        WHERE capability_name='std_calibration'
        AND state='Awaiting QA'
        """
    )
