"""update workflow definition for test_download

Revision ID: 50ff97fe0c2a
Revises: 25add553c317
Create Date: 2021-03-04 16:55:57.373412

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "50ff97fe0c2a"
down_revision = "25add553c317"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE capabilities "
        "SET capability_steps = 'prepare-and-run-workflow test_download\nawait-workflow' "
        "WHERE capability_name = 'test_download'"
    )
    op.execute("DELETE FROM workflow_templates WHERE workflow_name = 'test_download'")
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) "
        "VALUES ('test_download', 'test_download.condor', "
        "E'executable = test_download.sh\narguments = {{product_locator}}"
        "\nerror = test_download.err\nlog = test_download.log\n\n\nqueue')"
    )
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) VALUES "
        "('test_download', 'test_download.sh', E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n')"
    )


def downgrade():
    pass
