"""Update PPRs for CASA6.2.1

Revision ID: b6b319994e85
Revises: b7ef891320a1
Create Date: 2021-10-08 10:25:17.445114

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "b6b319994e85"
down_revision = "b7ef891320a1"
branch_labels = None
depends_on = None


has_ppr = ["std_calibration", "std_cms_imaging", "restore_cma", "std_restore_imaging"]


def upgrade():
    for wf in has_ppr:
        op.execute(
            f"""
            UPDATE workflow_templates
            SET content= regexp_replace(convert_from(content, 'utf-8'), E'hifv_fluxboot2', E'hifv_fluxboot')::bytea
            WHERE filename='PPR.xml' AND workflow_name='{wf}'
            """
        )


def downgrade():
    for wf in has_ppr:
        op.execute(
            f"""
            UPDATE workflow_templates
            SET content= regexp_replace(convert_from(content, 'utf-8'), E'hifv_fluxboot', E'hifv_fluxboot2')::bytea
            WHERE filename='PPR.xml' AND workflow_name='{wf}'
            """
        )
