"""add calibration capability

Revision ID: c3e6fc47443d
Revises: c8ace50bc1bf
Create Date: 2021-04-19 13:15:28.993731

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "c3e6fc47443d"
down_revision = "c8ace50bc1bf"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    INSERT INTO capabilities (capability_name, capability_steps, max_jobs)
    VALUES ('std_calibration', 'prepare-and-run-workflow std_calibration\nawait-workflow', 20)
    """
    )

    op.execute(
        """
    INSERT INTO workflows (workflow_name)
    VALUES ('std_calibration')
    """
    )


def downgrade():
    op.execute(
        """
    DELETE FROM capabilities WHERE capability_name = 'std_calibration'
    """
    )

    op.execute(
        """
    DELETE FROM workflows WHERE workflow_name = 'std_calibration'
    """
    )
